// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot;
import edu.wpi.first.wpilibj.Joystick;
import edu.wpi.first.wpilibj.XboxController;
import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.Commands;
import edu.wpi.first.wpilibj2.command.RunCommand;
import edu.wpi.first.wpilibj2.command.SequentialCommandGroup;
import edu.wpi.first.wpilibj2.command.button.CommandXboxController;
import edu.wpi.first.wpilibj2.command.button.JoystickButton;
import frc.robot.commands.Force1;
import frc.robot.subsystems.Accumulateur;
import frc.robot.subsystems.Drive;
import frc.robot.subsystems.Lanceur;

public class RobotContainer {
  Lanceur lanceur = new Lanceur();
  Accumulateur accumulateur = new Accumulateur();
  Force1 force1 = new Force1();
  CommandXboxController manette = new CommandXboxController(0);
  Joystick joystick1 = new Joystick(0);
  Drive drive = new Drive();
  public RobotContainer() {
    configureBindings();
   // drive.setDefaultCommand(new RunCommand(()->{
     // drive.drive(manette.getLeftX(), manette.getLeftY(), manette.getRightX());
    //},drive));
    drive.setDefaultCommand(new RunCommand(()->{
     drive.drive(joystick1.getX(), -joystick1.getY(), -joystick1.getZ());
    },drive));
  }
  
  private void configureBindings() {
    JoystickButton button7 = new JoystickButton(joystick1, 7);
    JoystickButton button8 = new JoystickButton(joystick1, 8);
    JoystickButton button9 = new JoystickButton(joystick1, 9);
    JoystickButton button10 = new JoystickButton(joystick1, 10);
    JoystickButton button11 = new JoystickButton(joystick1, 11);
    JoystickButton button12 = new JoystickButton(joystick1, 12);
    
  }

  public Command getAutonomousCommand() {
    return new SequentialCommandGroup(null);
  }
}
